Hunters Guild Member Colin:
The Hunters Guild is a brotherhood of extraordinary Hunters. We are professionals, constantly honing our skills... We hunt prey never imaginated by tipical hunters... You will know the details soon...
the Hunters Guild is a somewhat autonomous. Even though Castle Aden has dispatched Guards, we are capable of defending ourselves. The Guards are aware of this and even approve, but our town stubbornly insist that the Guards stay here...
It is a somewhat complicated story...
Return